<?
	/** Zbiór funckji wyświetlających stałe elenty strony - definiujące główny kształt strony.
	 * @author Michał Malinowski
	 * @package XPDefault
	 */

	 /** */
	if ( defined( '_DESIGN_FUN' ) ) return;
	define( '_DESIGN_FUN', 1 );

	/** Funkcja wyświetlająca nagłówek strony oraz górną tabelę.
	*/
	function showHeader() {
		$headerText = '<!DOCTYPE public "-//w3c//dtd html 4.01 transitional//en">
			<html>
			<head>
			<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-2">
			<link rel="icon" href="gfx/xpicon.png" type="image/png">
			<meta name="Author" content="XPlagiator Development Team">
			<meta name="description" content="">
			<meta name="keywords" content="plagiaty">';
		$bodyText = '<link rel="stylesheet" href="css/main.css">
			</head>
			<body bgcolor="white">
			';

		printf("%s\n<title>XPWeb%s</title>\n%s\n", $headerText, $title ? "- $title" : "", $bodyText);
		$mainLink = new CLink("start");
		$tab = new CTable(false, "top", "width=\"100%\" cellspacing=\"0\" cellpadding=\"0\"");
		$tab->addField("<center>" . $mainLink->get("<img border=\"0\" src=\"./gfx/logo.jpg\" alt=\"XPWeb\">") . "</center>");
		$tab->addField("<h1 class=\"white\">STOP&nbsp;&nbsp;&nbsp;PLAGIATOM!</h1>");
		$tab->close();
	}

	/** Funkcja wyświetlająca lewą kolumnę.
	*/
	function showLeftMenu() {
		$xpwebText = '<center><font color="white" size="-2">XPWeb</font></center>';

		echo '<!-- Dolna tabela -->
			<div align="center">
			<table width="100%" cellspacing="0" cellpadding="0" background="./gfx/belka.gif">
				<tr>
					<td width="20%" height="17">' . $xpwebText . '</td>
					<td class="bgwhite" width="65%"></td>
					<td width="15%">' . $xpwebText .'</td>
				</tr>
				<tr>
					<!-- Lewy panel -->
					<td width="20%" valign="top" class="lightblue">
					<div class="margin">
			';
		leftMenu();
		echo '</div></td>
					<!-- Główna część -->
					<td width="*" valign="top" class="bgwhite">
					<div class="margin">
			';
	}

	/** Funkcja wyświetlająca prawą kolumnę.
	*/
	function showRightMenu() {
		echo '</div></td> <!-- Koniec części portalu -->
					<!-- Prawy panel -->
					<td width="15%" valign="top" class="lightblue">
					<div class="margin">
			';
		rightMenu();
		echo '</div></td>
				</tr>
			</table> <!-- Koniec dolnej tabeli -->
			</div>';
	}

	/** Funkcja wyświetlająca stopkę.
	*/
	function showBottom() {
		echo '<p align="right">
			Copyright &#169; 2003 by <a href="./index.php" name="XPDT">XPlagiator Development Team</a><br>
			</p>
			
			</body>
			</html>
			';
	}
?>
